# Interface methods for submodule: FastMarchingBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: FastMarchingBase
class FastMarchingBaseProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetTopologyCheck(self, _arg) -> None:
		""""""
		...

	def GetTopologyCheck(self):
		""""""
		...

	def SetTrialPoints(self, _arg) -> None:
		""""""
		...

	def GetModifiableTrialPoints(self):
		""""""
		...

	def GetTrialPoints(self):
		""""""
		...

	def SetAlivePoints(self, _arg) -> None:
		""""""
		...

	def GetModifiableAlivePoints(self):
		""""""
		...

	def GetAlivePoints(self):
		""""""
		...

	def SetProcessedPoints(self, _arg) -> None:
		""""""
		...

	def GetModifiableProcessedPoints(self):
		""""""
		...

	def GetProcessedPoints(self):
		""""""
		...

	def SetForbiddenPoints(self, _arg) -> None:
		""""""
		...

	def GetModifiableForbiddenPoints(self):
		""""""
		...

	def GetForbiddenPoints(self):
		""""""
		...

	def SetStoppingCriterion(self, _arg) -> None:
		""""""
		...

	def GetModifiableStoppingCriterion(self):
		""""""
		...

	def GetStoppingCriterion(self):
		""""""
		...

	def GetSpeedConstant(self) -> float:
		""""""
		...

	def SetSpeedConstant(self, _arg: float) -> None:
		""""""
		...

	def GetNormalizationFactor(self) -> float:
		""""""
		...

	def SetNormalizationFactor(self, _arg: float) -> None:
		""""""
		...

	def GetTargetReachedValue(self) -> float:
		""""""
		...

	def SetCollectPoints(self, _arg: bool) -> None:
		""""""
		...

	def GetCollectPoints(self) -> bool:
		""""""
		...

	def CollectPointsOn(self) -> None:
		""""""
		...

	def CollectPointsOff(self) -> None:
		""""""
		...

